/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef SCORES_H
#define SCORES_H



#ifndef SCOREFILE
# define SCOREFILE "./jomar3D-scores"
#endif

#define MAXNAMES 4      /* Number of players stored */
#define NSTORE 10       /* number of performances stored */

typedef struct {
  char* name;
  int   games;
  int   times[NSTORE];
  int   steps[NSTORE];
} Player;

char*   scores_getCurrentName (void);
char*   scores_getName        (unsigned int number);
Player* scores_getPlayer      (unsigned int number);
void    scores_init           (void);
int     scores_validateName   (void);
int     scores_load           (void);
void    scores_begin          (int time);


#endif /* guard */
